-
2
- #1
Sparweb
Aerospace
- May 21, 2003
- 5,109
I felt like sharing today.
AutoCAD is designed to be used with a keyboard. Users who don't maximize their use of a keyboard are not maximizing their efficiency in AutoCAD.
Here is an explanation of the keyboard shortcuts I like:
I make multi-sheet drawings. Saved views allow me to switch easily from one sheet to another. VRA jumps to sheet A, no matter where I started from.
I dodn't always have a scroll wheel mouse, eg Laptop trackpad. ZI and ZO allow quick zooming in without selecing windows over and over.
I still frequently use ZE to see EVERYTHING - and find all the stuff people drew 6 miles to the left of the main view.
Breaking lines takes a lot of clicks. BRA saves clicks.
Many users don't configure units, and I may open their drawing to find either 10 decimal places, or none. U1 through U5 saves many clicks.
Making Circles requires more clicks than necessary.
I don't do Filleting without trimming very often, but when I do I want to switch back and forth frequently during the process, so this helps.
Construction lines are valuable so I shortened the typing to have horizontal and vertical XLINES.
Making drawings inevitably means bringing in blocks, styles, and "stuff" you don't need when you're done. Purgall in one command dumps all the chaff.
How often do you want a copy of a line rotated 90 degrees? Do both steps in one CORO.
Did you create a block file, but set its base in the wrong spot? BAM and you're done. It even resizes the view to fit the preview.
STF
Code:
; Extra commands for AutoCAD
; Steven Fahey
; 7 JANUARY 2015
;
(defun c:VRA () (command "view" "r" "A"))
(defun c:VRB () (command "view" "r" "B"))
(defun c:VRC () (command "view" "r" "C"))
(defun c:VRD () (command "view" "r" "D"))
(defun c:VRE () (command "view" "r" "E"))
(defun c:VRF () (command "view" "r" "F"))
(defun c:VSA () (command "view" "s" "A"))
(defun c:VSB () (command "view" "s" "B"))
(defun c:VSC () (command "view" "s" "C"))
(defun c:VSD () (command "view" "s" "D"))
(defun c:VSE () (command "view" "s" "E"))
(defun c:VSF () (command "view" "s" "F"))
(defun c:ZA () (command "zoom" "all"))
(defun c:ZE () (command "zoom" "e"))
(defun c:ZP () (command "zoom" "previous"))
(defun c:ZI () (command "zoom" "2x"))
(defun c:ZO () (command "zoom" ".8x"))
(defun c:ZOO () (command "zoom" ".5x"))
(defun c:Z1P () (command "zoom" "1xp"))
(defun c:BRA () (command "break" pause "f" "int" pause "@"))
(defun c:U1 () (command "luprec" "1"))
(defun c:U2 () (command "luprec" "2"))
(defun c:U3 () (command "luprec" "3"))
(defun c:U4 () (command "luprec" "4"))
(defun c:U5 () (command "luprec" "5"))
(defun c:cttr () (command "circle" "ttr" "tan" pause "tan"))
(defun c:c3p () (command "circle" "3p"))
(defun c:c2p () (command "circle" "2p"))
(defun c:filt () (command "fillet" "trim" "t"))
(defun c:filn () (command "fillet" "trim" "n"))
(defun c:xv () (command "xline" "v"))
(defun c:xh () (command "xline" "h"))
(defun c:purgall () (command "purge" "a" "" "n"))
(defun c:coro () (command "copy" pause "" "0,0" "@" "rotate" "p" "" pause "90"))
(defun c:bam () (command "base" "0,0,0" "move" "all" "" pause "0,0,0" "zoom" "e" "zoom" "0.75x"))
AutoCAD is designed to be used with a keyboard. Users who don't maximize their use of a keyboard are not maximizing their efficiency in AutoCAD.
Here is an explanation of the keyboard shortcuts I like:
I make multi-sheet drawings. Saved views allow me to switch easily from one sheet to another. VRA jumps to sheet A, no matter where I started from.
I dodn't always have a scroll wheel mouse, eg Laptop trackpad. ZI and ZO allow quick zooming in without selecing windows over and over.
I still frequently use ZE to see EVERYTHING - and find all the stuff people drew 6 miles to the left of the main view.
Breaking lines takes a lot of clicks. BRA saves clicks.
Many users don't configure units, and I may open their drawing to find either 10 decimal places, or none. U1 through U5 saves many clicks.
Making Circles requires more clicks than necessary.
I don't do Filleting without trimming very often, but when I do I want to switch back and forth frequently during the process, so this helps.
Construction lines are valuable so I shortened the typing to have horizontal and vertical XLINES.
Making drawings inevitably means bringing in blocks, styles, and "stuff" you don't need when you're done. Purgall in one command dumps all the chaff.
How often do you want a copy of a line rotated 90 degrees? Do both steps in one CORO.
Did you create a block file, but set its base in the wrong spot? BAM and you're done. It even resizes the view to fit the preview.
STF